<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Hotel 26
 */

if ( ! function_exists( 'hotel_26_posted_on' ) ) :
/**
 * Prints HTML with meta information for the current post-date/time and author.
 */
function hotel_26_posted_on() {
	$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
	if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
		$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';
	}

	$time_string = sprintf( $time_string,
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_attr( get_the_modified_date( 'c' ) ),
		esc_html( get_the_modified_date() )
	);

	$posted_on = sprintf(
		esc_html_x( 'Posted on %s', 'post date', 'hotel-26' ),
		'<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
	);

	$byline = sprintf(
		esc_html_x( 'by %s', 'post author', 'hotel-26' ),
		'<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'
	);
	echo '<span class="posted-on">' . $posted_on . '</span><span class="byline"> ' . $byline . '</span>'; // WPCS: XSS OK.
}
endif;

if ( ! function_exists( 'hotel_26_entry_footer' ) ) :
/**
 * Prints HTML with meta information for the categories, tags and comments.
 */
function hotel_26_entry_footer() {
	// Hide category and tag text for pages.
	if ( 'post' === get_post_type() ) {
		/* translators: used between list items, there is a space after the comma */
		$categories_list = get_the_category_list( esc_html__( ', ', 'hotel-26' ) );
		if ( $categories_list && hotel_26_categorized_blog() ) {
			printf( '<span class="cat-links">' . esc_html__( 'Posted in %1$s', 'hotel-26' ) . '</span>', $categories_list ); // WPCS: XSS OK.
		}

		/* translators: used between list items, there is a space after the comma */
		$tags_list = get_the_tag_list( '', esc_html__( ', ', 'hotel-26' ) );
		if ( $tags_list ) {
			printf( '<span class="tags-links">' . esc_html__( 'Tagged %1$s', 'hotel-26' ) . '</span>', $tags_list ); // WPCS: XSS OK.
		}
	}

	if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {
		echo '<span class="comments-link">';
		/* translators: %s: post title */
		comments_popup_link( sprintf( wp_kses( __( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'hotel-26' ), array( 'span' => array( 'class' => array() ) ) ), get_the_title() ) );
		echo '</span>';
	}

	edit_post_link(
		sprintf(
			/* translators: %s: Name of current post */
			esc_html__( 'Edit %s', 'hotel-26' ),
			the_title( '<span class="screen-reader-text">"', '"</span>', false )
		),
		'<span class="edit-link">',
		'</span>'
	);
}
endif;

/**
 * Returns true if a blog has more than 1 category.
 *
 * @return bool
 */
function hotel_26_categorized_blog() {
	if ( false === ( $all_the_cool_cats = get_transient( 'hotel_26_categories' ) ) ) {
		// Create an array of all the categories that are attached to posts.
		$all_the_cool_cats = get_categories( array(
			'fields'     => 'ids',
			'hide_empty' => 1,
			// We only need to know if there is more than one category.
			'number'     => 2,
		) );

		// Count the number of categories that are attached to the posts.
		$all_the_cool_cats = count( $all_the_cool_cats );

		set_transient( 'hotel_26_categories', $all_the_cool_cats );
	}

	if ( $all_the_cool_cats > 1 ) {
		// This blog has more than 1 category so hotel_26_categorized_blog should return true.
		return true;
	} else {
		// This blog has only 1 category so hotel_26_categorized_blog should return false.
		return false;
	}
}

/**
 * Flush out the transients used in hotel_26_categorized_blog.
 */
function hotel_26_category_transient_flusher() {
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}
	// Like, beat it. Dig?
	delete_transient( 'hotel_26_categories' );
}
add_action( 'edit_category', 'hotel_26_category_transient_flusher' );
add_action( 'save_post',     'hotel_26_category_transient_flusher' );

/**
 * Function that returns if the menu is sticky
 */
if (!function_exists('hotel_26_sticky_menu')):
    function hotel_26_sticky_menu()
    {
        $is_sticky = get_theme_mod('hide_show_sticky');

        if ($is_sticky == '1'):
            return 'sticky-nav ';
        else:
            return 'not-sticky';
        endif;
    }
endif;



/**
 * Register Breadcrumb for Multiple Variation
 */
function hotel_26_breadcrumbs_style() {
	get_template_part('./template-parts/sections/section','breadcrumb');			
}


/**
 * This Function Check whether Sidebar active or Not
 */
if(!function_exists( 'hotel_26_post_layout' )) :
function hotel_26_post_layout(){
	if(is_active_sidebar('hotel-26-sidebar-primary'))
		{ return 'col-12 col-md-8'; } 
	else 
		{ return 'col-12 mx-auto'; }  
} endif;



if( ! function_exists( 'hotel_26_dynamic_style' ) ):
    function hotel_26_dynamic_style() {

		$output_css = '';
		
			
		 /**
		 *  Breadcrumb Style
		 */
		$breadcrumb_padding_top			= get_theme_mod('breadcrumb_padding_top','80');	
		$breadcrumb_padding_bottom		= get_theme_mod('breadcrumb_padding_bottom','115');	
		
		$output_css .=".breadcrumb-section {
			padding-top: " .esc_attr($breadcrumb_padding_top). "px;
			padding-bottom: " .esc_attr($breadcrumb_padding_bottom). "px;
		}\n";
		
		
		$breadcrumb_bg_img			= get_theme_mod('breadcrumb_bg_img',esc_url(get_template_directory_uri() .'/assets/images/breadcrumb/img1.jpg'));  

		if($breadcrumb_bg_img !== '') { 
			$output_css .=".breadcrumb-slider.no-slides {
					background: url(" .esc_url($breadcrumb_bg_img). ") center / cover scroll;
				}\n";
		}else{
			$output_css .=".breadcrumb-section {
				 background: var(--sp-primary);
			}\n";
		}
				
		
		$footer_bg_color	= get_theme_mod('footer_bg_color','#091d36');
		$footer_bg_img		= get_theme_mod('footer_bg_img',esc_url(get_template_directory_uri() .'/assets/images/footer/bg.jpg'));
		$footer_bg_opacity_clr	= get_theme_mod('footer_bg_opacity_clr','#091d36');
		$footer_bg_opacity	= get_theme_mod('footer_bg_opacity','0.75');
		list($br, $bg, $bb) = sscanf($footer_bg_opacity_clr, "#%02x%02x%02x");
		
			if(!empty($footer_bg_img)):
				 $output_css .=".footer-section { 
					background: url(".esc_url($footer_bg_img).") no-repeat scroll center center / cover rgba($br, $bg, $bb, $footer_bg_opacity);
				}\n"; 
				$output_css .=".footer-section::after{ 
					background: rgba($br, $bg, $bb, $footer_bg_opacity);
				}\n";
			else: 
			$output_css .=".footer-section{ 
				    background: ".esc_attr($footer_bg_color).";
			}\n";
			$output_css .=".footer-section::after{ 
					background: rgba($br, $bg, $bb, 0);
				}\n";
			endif;
		
		
		$footer_logo_width 			 = get_theme_mod('footer_logo_width','250');			
			$output_css .=".footer-logo img {
				max-width: " .esc_attr($footer_logo_width). "px;
			}\n"; 
			
		/* Container */				
		$hotel_26_site_cntnr_width 			 = get_theme_mod('hotel_26_site_cntnr_width','1320');
			if($hotel_26_site_cntnr_width >=768 && $hotel_26_site_cntnr_width <=2000){
				$output_css .=".container, body .room-container, body.single-hb_room.wp-hotel-booking-page:not(.tp-themes-premium) .hb_single_room {
						max-width: " .esc_attr($hotel_26_site_cntnr_width). "px;
					}\n"; 
			}
 		
		/* Sidebar */
		$hotel_26_sidebar_width = get_theme_mod('hotel_26_sidebar_width', '33');
		$hotel_26_primary_width = 100 - $hotel_26_sidebar_width;

		$output_css .= "@media (min-width: 992px) {
			#av-secondary-content {
				width: " . esc_attr($hotel_26_sidebar_width) . "%;
			}
			#av-primary-content {
				width: " . esc_attr($hotel_26_primary_width) . "%;
			}
		}\n";
			
		$hotel_26_widget_ttl_size 			 = get_theme_mod('hotel_26_widget_ttl_size','28');
		$output_css .="@media (min-width: 992px) {
				.sidebar widget-title, .sidebar .wp-block-heading, .sidebar label {
						font-size: " .esc_attr($hotel_26_widget_ttl_size). "px;
					}
				}
			\n"; 
			
 	
        wp_add_inline_style( 'hotel-26-style', $output_css );
    }
endif;
add_action( 'wp_enqueue_scripts', 'hotel_26_dynamic_style' );